For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all Snapshots

This endpoint enables retrieving all Snapshots using pagination and optional filters.

get
/snapshots
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.clusterIdstring · uuidOptional

Filters snapshots by the cluster they belong to.

Responses
200

Returned all requested Snapshots successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Snapshot resources.

Example: b9cb6c65-8997-58bb-b7d1-93e5da5a6525
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Snapshot resources.

Example: /snapshots
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/snapshots
GET /v2/snapshots HTTP/1.1
Host: in-memory-db.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "b9cb6c65-8997-58bb-b7d1-93e5da5a6525",
  "type": "collection",
  "href": "/snapshots",
  "items": [
    {
      "id": "a8784665-3d99-5464-af32-30a2967f58e7",
      "type": "snapshot",
      "href": "/snapshots/a8784665-3d99-5464-af32-30a2967f58e7",
      "metadata": {},
      "properties": {
        "clusterId": "59348c25-2d4b-4870-a5b6-33c48fce1c58",
        "clusterName": "my-in-memory-db-cluster",
        "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
        "earliestRecoveryTargetTime": "2023-10-05T14:48:00.000Z",
        "latestRecoveryTargetTime": "2023-10-10T14:48:00.000Z",
        "location": "eu-central-3",
        "clusterVersion": "9.0",
        "snapshotSize": 16,
        "requiredSizeForRestore": 16
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?